geos::geomgraph::index::SimpleEdgeSetIntersector Class Reference

Finds all intersections in one or two sets of edges, using the straightforward method of comparing all segments. More...

`#include <SimpleEdgeSetIntersector.h>`

Inheritance diagram for geos::geomgraph::index::SimpleEdgeSetIntersector:

## Public Member Functions

void | computeIntersections (std::vector< Edge * > *edges, SegmentIntersector *si, bool testAllSegments) override
| Computes all self-intersections between edges in a set of edges, allowing client to choose whether self-intersections are computed.
void | computeIntersections (std::vector< Edge * > *edges0, std::vector< Edge * > *edges1, SegmentIntersector *si) override
| Computes all mutual intersections between two sets of edges.

## Detailed Description

Finds all intersections in one or two sets of edges, using the straightforward method of comparing all segments.

Note
  This algorithm is too slow for production use, but is useful for testing purposes.

## Member Function Documentation

## computeIntersections() [1/2]

void geos::geomgraph::index::SimpleEdgeSetIntersector::computeIntersections | ( | std::vector< Edge * > * | edges,
|  | SegmentIntersector * | si,
|  | bool | testAllSegments )

override virtual

Computes all self-intersections between edges in a set of edges, allowing client to choose whether self-intersections are computed.

Parameters

  edges | a list of edges to test for intersections
  si | the SegmentIntersector to use
  testAllSegments | true if self-intersections are to be tested as well

Implements geos::geomgraph::index::EdgeSetIntersector.

## computeIntersections() [2/2]

void geos::geomgraph::index::SimpleEdgeSetIntersector::computeIntersections | ( | std::vector< Edge * > * | edges0,
|  | std::vector< Edge * > * | edges1,
|  | SegmentIntersector * | si )

override virtual

Computes all mutual intersections between two sets of edges.

Implements geos::geomgraph::index::EdgeSetIntersector.

The documentation for this class was generated from the following file:

- SimpleEdgeSetIntersector.h